Subject: RE: [lojban] Whatever

From: "And Rosta" <[email-masked]>
Date: Wed, 8 Aug 2001 03:33:12 +0100

Jorge:
> la and cusku di'e
> 
> >But anyway, assuming that something that costs $0.00 is rupnu
> >li no, rather than rupnu no da, why would you want your
> >sentence to cover things that rupnu no da -- i.e. things
> >that are in some sense priceless.
> 
> I don't really, that's why I said in this case it wouldn't make
> that much sense. But in another sentence with the same structure
> we may want that case covered. Let's say:
> 
> mi ba te vecnu ta ije do jinvi makau la'e di'u
> I will buy it, whatever you may think about it.

Some formulation roughly along the lines of 

"ro da zo'u mi ba te vecnu ta iju do jinvi da la'e di'u"

seems adequate, because if "do jinvi no da la'e di'u"
then "ro da .... do na jinvi da la'e di'u", and the U-connective
then makes "mi ba te vecnu ta" true per each value of da.

Or am I missing something?

> >ro da zo'u, in every possible future in which ta rupnu da,
> >mi te vecnu ta
> >
> >ro da zo'u ro ba'oi tu'o du'u ta rupnu da kei mi te vecnu ta
> >
> >This is a much better rendition of the English than my original
> >paraphrase.
> 
> I don't know it's that important that it be in the future:
> 
> mi pu te vecnu ta ije ta pu rupnu makau
> I bought it, whatever it cost.

The English is ambiguous. Does it mean (A) "I resolved to buy it
regardless of cost, and then bought it" = "I, being regardless
to its cost, bought it", or does it mean (B) "Whatever it cost, it
is the case that I bought it"?

I guess you must intend your Lojban to mean the latter, so let
me have a stab at it.

Well -- what's wrong with

"ro da zo'u mi ba te vecnu ta iju ta pu rupnu da"

? That seems to closely capture reading (B).

> >It makes it clearer that indirect questions
> >always seem to involve universal quantifiers having scope over
> >some sort of operator [WHAT SORT? ANY SORT?] that has scope
> >over the variable bound by the quantifier.
> 
> I don't think I really want "I bought it" within the scope of
> anything, its truth is independent of the rest. 

It's independent truth doesn't entail it is not within something's
scope.

> The kau-phrase
> is a tautology, as it stands for the answer to {ta pu rupnu ma}.

So you want something like:

mi ba te vecnu ta ije ro da zo'u ga ta rupnu da gi ta na rupnu da

But though this seems to me to meet your ostensible requirements, on
a gut level it seems less satisfactory than my earlier version.

> > > mi ba te vecnu ta ije xokau prenu na nelci ta
> > > I will buy it, however many people don't like it.
> >
> >ro da zo'u, in every possible future in which da is the
> >cardinality of lo'i ge prenu gi na nelci ta, mi te vecnu ta
> 
> And this one:
> 
> mi pu te vecnu ta ije xokau prenu na nelci ta
> I bought it, however many people didn't like it.
> 
> (That's "however-many", not "however, many".)

See my rendition of "I bought it, whatever it cost".

> >BTW, let me make it clear that I'm not opposed to Q-kau, so long
> >as our goal is to seek a clear logical definition of it, such
> >that the logical structure of any Q-kau sentence can be
> >algorithmically derived.
> 
> Yes, I'd like to understand it too. We should probably just
> concentrate on makau, because if xukau and xokau must involve
> truth values and cardinalities of sets, that's just an unnecessary
> complication.

OK. But you could cause me more conniptions by bringing up peikau,
fi'akau, ge'ikau.

--And.